package javax.management.remote;

import javax.management.Notification;

public class JMXConnectionNotification extends Notification
{
    private static final long serialVersionUID = -2331308725952627538L;
    public static final String OPENED = "jmx.remote.connection.opened";
    public static final String CLOSED = "jmx.remote.connection.closed";
    public static final String FAILED = "jmx.remote.connection.failed";
    public static final String NOTIFS_LOST = "jmx.remote.connection.notifs.lost";
    private final String connectionId;
    
    public JMXConnectionNotification(String s, Object o, String connectionId, long b, String message, Object userData) {
        super((String)nonNull(s), nonNull(o), Math.max(0L, b), System.currentTimeMillis(), message);
        if (s == null || o == null || connectionId == null) {
            throw new NullPointerException("Illegal null argument");
        }
        if (b < 0L) {
            throw new IllegalArgumentException("Negative sequence number");
        }
        this.connectionId = connectionId;
        this.setUserData(userData);
        return;
    }
    
    private static Object nonNull(Object o) {
        if (o == null) {
            return "";
        }
        return o;
    }
    
    public String getConnectionId() {
        return this.connectionId;
    }
}
